package com.fs.ad.mapper;

import com.baomidou.mybatisplus.core.mapper.BaseMapper;
import com.fs.ad.domain.AdUploadLog;

import java.util.List;

/**
 * 百度回传日志Mapper接口
 * 
 * @author fs
 * @date 2025-03-14
 */
public interface AdUploadLogMapper extends BaseMapper<AdUploadLog>{
    /**
     * 查询百度回传日志
     * 
     * @param id 百度回传日志主键
     * @return 百度回传日志
     */
    AdUploadLog selectAdUploadLogById(Long id);

    /**
     * 查询百度回传日志列表
     * 
     * @param adUploadLog 百度回传日志
     * @return 百度回传日志集合
     */
    List<AdUploadLog> selectAdUploadLogList(AdUploadLog adUploadLog);

    /**
     * 新增百度回传日志
     * 
     * @param adUploadLog 百度回传日志
     * @return 结果
     */
    int insertAdUploadLog(AdUploadLog adUploadLog);

    /**
     * 修改百度回传日志
     * 
     * @param adUploadLog 百度回传日志
     * @return 结果
     */
    int updateAdUploadLog(AdUploadLog adUploadLog);

    /**
     * 删除百度回传日志
     * 
     * @param id 百度回传日志主键
     * @return 结果
     */
    int deleteAdUploadLogById(Long id);

    /**
     * 批量删除百度回传日志
     * 
     * @param ids 需要删除的数据主键集合
     * @return 结果
     */
    int deleteAdUploadLogByIds(Long[] ids);
}
